Installer failing from original CDs

Post Reply
User avatar
ddni
Posts: 230
Joined: Fri Dec 02, 2011 11:06 pm

Installer failing from original CDs

Post by ddni »

Hi, dug my original H2 out tonight.

I get this immediate error when running installer:
Image

Can anyone help please?
User avatar
nbache
Beta Tester
Beta Tester
Posts: 1502
Joined: Mon Dec 20, 2010 7:25 pm
Location: Copenhagen, Denmark
Contact:

Re: Installer failing from original CDs

Post by nbache »

If you can tell us what is in line 24 of the install script, we might stand a better chance.

Load it into e.g. NotePad and go to line 24 to check.

Best regards,

Niels
User avatar
ddni
Posts: 230
Joined: Fri Dec 02, 2011 11:06 pm

Re: Installer failing from original CDs

Post by ddni »

Hi,
here is the file in notepad.

Image
User avatar
nbache
Beta Tester
Beta Tester
Posts: 1502
Joined: Mon Dec 20, 2010 7:25 pm
Location: Copenhagen, Denmark
Contact:

Re: Installer failing from original CDs

Post by nbache »

ddni wrote:Hi,
here is the file in notepad.
Okay. The effect and showmedia keywords were proprietary extensions to the Installer language in the version made by Haage+Partner for OS 3.5 and 3.9. This version was one of the few source codes which did not find its way back into the main AmigaOS tree, so it is incompatible with OS4's Installer. Apparently, this install script was written with the expectation that all Installer versions above 43 would support these keywords.

You need to copy everything from the installation CD to a directory on your HD, eject the CD, and assign the same name to that directory as the volume name of the CD. Then you need to fix the install script in the copy you created (which is writable as opposed to the CD itself): In NotePad, delete the lines starting with "(if (>= #ver (/ @installer-version 65536))" and ending with the single closing parenthesis in the first column 5 lines later (I think this would be lines 22 through 27), and then save the file and try installing again. Hopefully this will work.

All these commands provide is some eye-candy during installation anyway, normally nothing needed for a correct installation.

Best regards,

Niels
User avatar
ddni
Posts: 230
Joined: Fri Dec 02, 2011 11:06 pm

Re: Installer failing from original CDs

Post by ddni »

Hi, many thanks for your help.
I will give it a go when I get home from a business trip to London.
User avatar
ddni
Posts: 230
Joined: Fri Dec 02, 2011 11:06 pm

Re: Installer failing from original CDs

Post by ddni »

Hi,

I made the changes that you suggested. The install went further, but hit several other similar issues.
I correct them in the install script, but this was unsuccessful.

Frustrated, I copied my os3.9 installer into my os4 c drawer.
The install now seems to complete as expected (except it never asks for cd2, did it ever?).
Of course, as predicted the game does not work. Snoopy sees an error wiyh the powerpc.library. I am sure that this is due to the os4 warp3d emulation wrapper not working on x1000. Is this right?
User avatar
nbache
Beta Tester
Beta Tester
Posts: 1502
Joined: Mon Dec 20, 2010 7:25 pm
Location: Copenhagen, Denmark
Contact:

Re: Installer failing from original CDs

Post by nbache »

ddni wrote:I made the changes that you suggested. The install went further, but hit several other similar issues.
I correct them in the install script, but this was unsuccessful.

Frustrated, I copied my os3.9 installer into my os4 c drawer.
Another approach which might be better would be to use E-UAE with an installation of OS 3.9 and install the game within that. Then you could either run it there or maybe copy the installed game to your main OS4 environment. It might be more compatible that way.

But I don't really play games and don't have Heretic II, so I'm just guessing here.
Of course, as predicted the game does not work. Snoopy sees an error wiyh the powerpc.library. I am sure that this is due to the os4 warp3d emulation wrapper not working on x1000. Is this right?
Not sure, powerpc.library does not implement Warp3D, but WarpOS, AFAIK. What sort of error does Snoopy see with it? If it fails to open it (from any location it tries), you may need to install it (I don't remember whether it is installed by default in OS4.1).

As for Warp3D, the main problem with the X1000 is that we don't have 3D support in the RadeonHD driver yet. But people have had success installing a secondary card, e.g. a Radeon 9250, in a PCI slot and getting 3D to work on that. It does pose the problem that the only two PCI slots are currently occupied by the network card and the sound card, which some people have solved by means of a PCIe to PCI adapter so one of the cards can be moved to a PCIe slot and open up a PCI slot for the Radeon card.

Search for other threads here describing this.

Best regards,

Niels
User avatar
Petrol
Beta Tester
Beta Tester
Posts: 165
Joined: Mon Dec 20, 2010 6:19 pm
Location: France

Re: Installer failing from original CDs

Post by Petrol »

Infact, PowerPC.library has a warpOS wrapper. But it only works on Classics, A1SE/XE, Pegasos2 and Sam440. There's no WarpOS support for the A1X1000 and Sam460, So no warpOS apps on these last.

Regards,
Petrol.
Post Reply